#pragma once

#include <ros/ros.h>

#include "vl53l0x_def.h"
#include "vl53l0x_platform.h"
#include "vl6180x_platform.h"

namespace rh_sensing {
class RideheightSensing {
public:
  RideheightSensing(ros::NodeHandle nh, ros::NodeHandle nh_private);

  void spin();

private:
  ros::NodeHandle nh;
  ros::NodeHandle nh_private;

  ros::Publisher vl6180x_pub;
  ros::Publisher vl53l0x_pub;

  VL6180xDev_t vl6180x_dev;
  VL6180x_RangeData_t vl6180x_range;

  VL53L0X_Dev_t vl53l0x_dev;
  VL53L0X_RangingMeasurementData_t vl53l0x_range;

  void init_6180(const char *i2c_dev_path);
  void init_53l0(const char *i2c_dev_path);
  void config_53l0(bool long_range);

  bool vl53l0x_long_range;
};

} // namespace rh_sensing
